Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 984262 - Error in `setsebool': double free or corruption (fasttop): 0x00007f899e7c5f30
Summary: Error in `setsebool': double free or corruption (fasttop): 0x00007f899e7c5f30
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-14 08:35 UTC by Frank Murphy
Modified: 2015-01-14 13:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-14 13:15:16 UTC


Attachments (Terms of Use)

Description Frank Murphy 2013-07-14 08:35:30 UTC
Description of problem: can't set antivirus boolean


Version-Release number of selected component (if applicable):
policycoreutils-devel-2.1.14-46.4.fc19.x86_64
policycoreutils-sandbox-2.1.14-46.4.fc19.x86_64
policycoreutils-python-2.1.14-46.4.fc19.x86_64
policycoreutils-gui-2.1.14-46.4.fc19.x86_64
policycoreutils-2.1.14-46.4.fc19.x86_64


How reproducible: 5 times with said antivirus boolean


Steps to Reproduce:
1. setsebool -P antivirus_can_scan_system 1
2.
3.

Actual results: 

# setsebool -P antivirus_can_scan_system 1
*** Error in `setsebool': double free or corruption (fasttop): 0x00007f899e7c5f30 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x334247d0e8)[0x7f89923b40e8]
/lib64/libsepol.so.1(+0x3348c184ee)[0x7f8992b654ee]
/lib64/libsepol.so.1(+0x3348c210fd)[0x7f8992b6e0fd]
/lib64/libsepol.so.1(+0x3348c185d9)[0x7f8992b655d9]
/lib64/libsepol.so.1(+0x3348c210fd)[0x7f8992b6e0fd]
/lib64/libsepol.so.1(+0x3348c1b460)[0x7f8992b68460]
/lib64/libsepol.so.1(+0x3348c1b4bd)[0x7f8992b684bd]
/lib64/libsepol.so.1(sepol_policydb_free+0xe)[0x7f8992b6b91e]
/lib64/libsepol.so.1(sepol_module_package_free+0x11)[0x7f8992b5e0f1]
/lib64/libsemanage.so.1(+0x103a0)[0x7f89927073a0]
/lib64/libsemanage.so.1(+0x1a49e)[0x7f899271149e]
/lib64/libsemanage.so.1(semanage_commit+0x72)[0x7f8992718392]
setsebool(+0x195d)[0x7f8992fb595d]
setsebool(+0x13e5)[0x7f8992fb53e5]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f8992358b75]
setsebool(+0x144d)[0x7f8992fb544d]
======= Memory map: ========
7f899165a000-7f899166f000 r-xp 00000000 fd:01 263196                     /usr/lib64/libgcc_s-4.8.1-20130603.so.1
7f899166f000-7f899186e000 ---p 00015000 fd:01 263196                     /usr/lib64/libgcc_s-4.8.1-20130603.so.1
7f899186e000-7f899186f000 r--p 00014000 fd:01 263196                     /usr/lib64/libgcc_s-4.8.1-20130603.so.1
7f899186f000-7f8991870000 rw-p 00015000 fd:01 263196                     /usr/lib64/libgcc_s-4.8.1-20130603.so.1
7f8991870000-7f89918a2000 r-xp 00000000 fd:01 269678                     /usr/lib64/libustr-1.0.so.1.0.4
7f89918a2000-7f8991aa1000 ---p 00032000 fd:01 269678                     /usr/lib64/libustr-1.0.so.1.0.4
7f8991aa1000-7f8991aa2000 r--p 00031000 fd:01 269678                     /usr/lib64/libustr-1.0.so.1.0.4
7f8991aa2000-7f8991aa3000 rw-p 00032000 fd:01 269678                     /usr/lib64/libustr-1.0.so.1.0.4
7f8991aa3000-7f8991ab2000 r-xp 00000000 fd:01 262739                     /usr/lib64/libbz2.so.1.0.6
7f8991ab2000-7f8991cb1000 ---p 0000f000 fd:01 262739                     /usr/lib64/libbz2.so.1.0.6
7f8991cb1000-7f8991cb2000 r--p 0000e000 fd:01 262739                     /usr/lib64/libbz2.so.1.0.6
7f8991cb2000-7f8991cb3000 rw-p 0000f000 fd:01 262739                     /usr/lib64/libbz2.so.1.0.6
7f8991cb3000-7f8991cc9000 r-xp 00000000 fd:01 262246                     /usr/lib64/libpthread-2.17.so
7f8991cc9000-7f8991ec9000 ---p 00016000 fd:01 262246                     /usr/lib64/libpthread-2.17.so
7f8991ec9000-7f8991eca000 r--p 00016000 fd:01 262246                     /usr/lib64/libpthread-2.17.so
7f8991eca000-7f8991ecb000 rw-p 00017000 fd:01 262246                     /usr/lib64/libpthread-2.17.so
7f8991ecb000-7f8991ecf000 rw-p 00000000 00:00 0 
7f8991ecf000-7f8991f32000 r-xp 00000000 fd:01 263194                     /usr/lib64/libpcre.so.1.2.0
7f8991f32000-7f8992131000 ---p 00063000 fd:01 263194                     /usr/lib64/libpcre.so.1.2.0
7f8992131000-7f8992132000 r--p 00062000 fd:01 263194                     /usr/lib64/libpcre.so.1.2.0
7f8992132000-7f8992133000 rw-p 00063000 fd:01 263194                     /usr/lib64/libpcre.so.1.2.0
7f8992133000-7f8992136000 r-xp 00000000 fd:01 262332                     /usr/lib64/libdl-2.17.so
7f8992136000-7f8992335000 ---p 00003000 fd:01 262332                     /usr/lib64/libdl-2.17.so
7f8992335000-7f8992336000 r--p 00002000 fd:01 262332                     /usr/lib64/libdl-2.17.so
7f8992336000-7f8992337000 rw-p 00003000 fd:01 262332                     /usr/lib64/libdl-2.17.so
7f8992337000-7f89924ec000 r-xp 00000000 fd:01 262235                     /usr/lib64/libc-2.17.so
7f89924ec000-7f89926ec000 ---p 001b5000 fd:01 262235                     /usr/lib64/libc-2.17.so
7f89926ec000-7f89926f0000 r--p 001b5000 fd:01 262235                     /usr/lib64/libc-2.17.so
7f89926f0000-7f89926f2000 rw-p 001b9000 fd:01 262235                     /usr/lib64/libc-2.17.so
7f89926f2000-7f89926f7000 rw-p 00000000 00:00 0 
7f89926f7000-7f8992728000 r-xp 00000000 fd:01 262238                     /usr/lib64/libsemanage.so.1
7f8992728000-7f8992927000 ---p 00031000 fd:01 262238                     /usr/lib64/libsemanage.so.1
7f8992927000-7f8992928000 r--p 00030000 fd:01 262238                     /usr/lib64/libsemanage.so.1
7f8992928000-7f8992929000 rw-p 00031000 fd:01 262238                     /usr/lib64/libsemanage.so.1
7f8992929000-7f899292a000 rw-p 00000000 00:00 0 
7f899292a000-7f899294a000 r-xp 00000000 fd:01 263195                     /usr/lib64/libselinux.so.1
7f899294a000-7f8992b49000 ---p 00020000 fd:01 263195                     /usr/lib64/libselinux.so.1
7f8992b49000-7f8992b4a000 r--p 0001f000 fd:01 263195                     /usr/lib64/libselinux.so.1
7f8992b4a000-7f8992b4b000 rw-p 00020000 fd:01 263195                     /usr/lib64/libselinux.so.1
7f8992b4b000-7f8992b4d000 rw-p 00000000 00:00 0 
7f8992b4d000-7f8992b90000 r-xp 00000000 fd:01 263419                     /usr/lib64/libsepol.so.1
7f8992b90000-7f8992d8f000 ---p 00043000 fd:01 263419                     /usr/lib64/libsepol.so.1
7f8992d8f000-7f8992d90000 r--p 00042000 fd:01 263419                     /usr/lib64/libsepol.so.1
7f8992d90000-7f8992d91000 rw-p 00043000 fd:01 263419                     /usr/lib64/libsepol.so.1
7f8992d91000-7f8992db2000 r-xp 00000000 fd:01 262220                     /usr/lib64/ld-2.17.so
7f8992f9b000-7f8992fa1000 rw-p 00000000 00:00 0 
7f8992faf000-7f8992fb1000 rw-p 00000000 00:00 0 
7f8992fb1000-7f8992fb2000 r--p 00020000 fd:01 262220                     /usr/lib64/ld-2.17.so
7f8992fb2000-7f8992fb3000 rw-p 00021000 fd:01 262220                     /usr/lib64/ld-2.17.so
7f8992fb3000-7f8992fb4000 rw-p 00000000 00:00 0 
7f8992fb4000-7f8992fb7000 r-xp 00000000 fd:01 271211                     /usr/sbin/setsebool
7f89931b6000-7f89931b7000 r--p 00002000 fd:01 271211                     /usr/sbin/setsebool
7f89931b7000-7f89931b8000 rw-p 00003000 fd:01 271211                     /usr/sbin/setsebool
7f89943f1000-7f89a476e000 rw-p 00000000 00:00 0                          [heap]
7fffa51cb000-7fffa520e000 rw-p 00000000 00:00 0                          [stack]
7fffa52e3000-7fffa52e5000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted (core dumped)

Comment 1 Fedora End Of Life 2015-01-09 18:54:24 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.